Topic: Mise à jour GLPI 0.85.2 : ERROR with rpm_check_debug vs depsolve

Bonjour,

Je rencontre un problème sur mon GLPI de test :

Lorsque je tente d'effectuer un :

yum update glpi --enablerepo=remi,remi-test

Pour passer de la 0.84.5 et tester la 0.85.2 j'obtiens ce message d'erreur :

ERROR with rpm_check_debug vs depsolve:
glpi is needed by (installed) glpi-ocsinventoryng-1.0.2-1.el5.remi.noarch
glpi is needed by (installed) glpi-ocsinventoryng-1.0.2-1.el5.remi.noarch
Complete!
(1, [u'Please report this error in )]http://bugs.centos.org/yum5bug'])

J'ai suivit la démarche de mise à jour ici : http://www.glpi-project.org/spip.php?article171

J'ai donc désactivé le plugin glpi-ocsinventoryng-1.0.2-1.el5.remi.noarch avant d'effectuer la mise à jour de GLPI.
J'ai aussi testé en le désinstallant mais le problème persiste.

Où ai-je fait une erreur?

cordialement

Re: Mise à jour GLPI 0.85.2 : ERROR with rpm_check_debug vs depsolve

Sortie complète de la commande yum ?

Normalement il devrait tirer glpi-ocsinventoryng-1.1.0-1.el5.remi qui est compatible avec glpi 0.85

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: Mise à jour GLPI 0.85.2 : ERROR with rpm_check_debug vs depsolve

Bonjour,

Apparemment le fait de désactivé puis de désinstaller glpi-ocsinventoryng-1.0.2-1.el5.remi.noarch depuis l'interface de GLPI ne suffit pas.

J'ai donc désinstaller glpi-ocsinventoryng-1.0.2-1.el5.remi.noarch depuis le gestionnaire de paquet et la mise à jour yum s'est terminée correctement.

Je vais continuer voir si tout fonctionne.

cordialement,

4 (edited by narutobaka 2015-04-08 09:15:59)

Re: Mise à jour GLPI 0.85.2 : ERROR with rpm_check_debug vs depsolve

Bonjour,

la sortie complète de la commande yum :

yum update glpi --enablerepo=remi,remi-test
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
* base: centos.crazyfrogs.org
* epel: fr2.rpmfind.net
* extras: ftp.free.fr
* remi: fr2.rpmfind.net
* remi-test: fr2.rpmfind.net
* updates: centos.mirrors.ovh.net
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package glpi.noarch 0:0.85.2-2.el5.remi set to be updated
--> Processing Dependency: php-tcpdf for package: glpi
--> Running transaction check
---> Package php-tcpdf.noarch 0:6.2.6-1.el5.remi set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package          Arch          Version                  Repository        Size
================================================================================
Updating:
glpi             noarch        0.85.2-2.el5.remi        remi-test         11 M
Installing for dependencies:
php-tcpdf        noarch        6.2.6-1.el5.remi         remi             3.5 M

Transaction Summary
================================================================================
Install       1 Package(s)
Upgrade       1 Package(s)

Total size: 14 M
Total download size: 3.5 M
Is this ok [y/N]: y
Downloading Packages:
php-tcpdf-6.2.6-1.el5.remi.noarch.rpm                    | 3.5 MB     00:00     
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
glpi is needed by (installed) glpi-ocsinventoryng-1.0.2-1.el5.remi.noarch
glpi is needed by (installed) glpi-ocsinventoryng-1.0.2-1.el5.remi.noarch
Complete!
(1, [u'Please report this error in )]http://bugs.centos.org/yum5bug'])

La mise à jour du plugin devrait se faire automatiquement avec la mise à jour de GLPI?

Cordialement,

Re: Mise à jour GLPI 0.85.2 : ERROR with rpm_check_debug vs depsolve

Veille version... vieux problèmes

yum --enablerepo=remi,remi-test update glpi\*
...
==============================================================================================
 Package                     Arch           Version                   Repository         Size
==============================================================================================
Updating:
 glpi                        noarch         0.85.2-2.el5.remi         remi-test          11 M
 glpi-ocsinventoryng         noarch         1.1.0-1.el5.remi          remi-test         312 k
Installing for dependencies:
 php-tcpdf                   noarch         6.2.6-1.el5.remi          remi              3.5 M

Transaction Summary
==============================================================================================
...
Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: Mise à jour GLPI 0.85.2 : ERROR with rpm_check_debug vs depsolve

Bonjour,

Le problème viendrait de CentOS?

J'ai testé en désinstallant l'ancien plugin via le Gestionnaire de paquet
J'ai effectué la mise à jour de Glpi
J'ai réinstallé le nouveau plugin

Le soucis c que je n'ai plus la configuration vers le serveur OCS.

Y a-t-il un moyen de contourner le problème?

encore merci pour ton aide

cordialement,

Re: Mise à jour GLPI 0.85.2 : ERROR with rpm_check_debug vs depsolve

La commande que j'ai collé fonctionne.

> Le soucis c que je n'ai plus la configuration vers le serveur OCS.

Elle est sans doute quelques part dans la DB.

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: Mise à jour GLPI 0.85.2 : ERROR with rpm_check_debug vs depsolve

bonjour

oui je viens de voir la commande que tu as utilisé.

Vive les VM pour repartir en arrière wink.

Je reteste et je fais un retour.

cordialement,

Re: Mise à jour GLPI 0.85.2 : ERROR with rpm_check_debug vs depsolve

Bonjour,

La mise à jour à correctement fonctionné, et la liaison GLPI-OCS n'a pas été perdu.

à quoi correspond le glpi\* dans ta commande? est-ce pour gérer toutes les dépendances de glpi?

En tout cas encore merci.

Bon plus qu'à tester GLPI 0.85.2 wink.

cordialement,

Re: Mise à jour GLPI 0.85.2 : ERROR with rpm_check_debug vs depsolve

glpi\*  pour tous les paquets commençant par glpi


Et avec les nouvelles versions de yum, il s'en sort beaucoup mieux.

Et sinon, EL-5 est bientôt EOL, faudra penser à passer sur EL-6 ou EL-7

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: Mise à jour GLPI 0.85.2 : ERROR with rpm_check_debug vs depsolve

Bonjour,

je voulais savoir le cycle de vie d'EPEL est-il le même que le cycle de vie des distributions redhat présenté ici ou a-t-il un cycle de vie distinct?

https://access.redhat.com/support/polic … ycle_Dates

quoiqu'il en soit je ne suis pas en charge des serveurs de production, juste d'une machine de test sur laquelle je me contente de m'approcher au mieux de la configuration des serveurs de production, afin de tester OCS / GLPI

Lorsque la configuration des serveurs évoluera, je ferai évoluer mes VM de test wink

Encore merci pour ton aide.

cordialement,

Re: Mise à jour GLPI 0.85.2 : ERROR with rpm_check_debug vs depsolve

Oui, le cycle de vie de EPEL, Remi, CentOS suit celui de RHEL (sans support étendu)

problème résolu, donc je ferme.

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70